function report_toy(db, rng)

b = db.Mean;   

% make a picture showing the IRFs
figure('Name','Toy Kalman model results');

subplot(231);
plot(b.l_y_gap,'lineWidth',3);
grid;
title('Output gap (%)');

subplot(232);
plot(b.shock_l_y_gap,'lineWidth',3);
grid;
title('Output Gap Shock');

subplot(233);
plot(b.dl_cpi,'lineWidth',3);
grid;
title('Inflation (%)');

subplot(234);
plot(b.shock_dl_cpi,'lineWidth',3);
grid;
title('Inflation Shock');

subplot(235);
plot(b.r_gap,'lineWidth',3);
grid;
title('RIR Gap (%)');

subplot(236);
plot(b.shock_r_gap,'lineWidth',3);
grid;
title('RIR Gap Shock');

end
